tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1950236 kB, VmSize: 1950236 kB, VmRSS: 314036 kB, VmData: 402188 kB, Mmaps: 1733, Mmaps: 1950236 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1951532 kB, VmSize: 1951532 kB, VmRSS: 315484 kB, VmData: 403484 kB, Mmaps: 1733, Mmaps: 1951532 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1951532 kB, VmSize: 1950780 kB, VmRSS: 315196 kB, VmData: 402972 kB, Mmaps: 1720, Mmaps: 1950780 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00081899999999990
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.05; loadPixelBoxStartUserTime=1.669395; loadPixelBoxStartSystemTime=0.391389; loadPixelBoxStartMaxResidentSetSize=315560; loadPixelBoxStartMinorPageFaults=88649; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=17; loadPixelBoxStartInvoluntaryContextSwitches=138609
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.05; loadSkyCircleStartUserTime=1.669929; loadSkyCircleStartSystemTime=0.391514; loadSkyCircleStartMaxResidentSetSize=315560; loadSkyCircleStartMinorPageFaults=88659; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=17; loadSkyCircleStartInvoluntaryContextSwitches=138609
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.06; _readIndexFilesStartUserTime=1.670398; _readIndexFilesStartSystemTime=0.391514; _readIndexFilesStartMaxResidentSetSize=315560; _readIndexFilesStartMinorPageFaults=88659; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138609
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.06; _readIndexFilesEndUserTime=1.6705489999999998; _readIndexFilesEndSystemTime=0.391514; _readIndexFilesEndMaxResidentSetSize=315560; _readIndexFilesEndMinorPageFaults=88661; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138609
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.06; loadSkyCircleEndUserTime=1.672425; loadSkyCircleEndSystemTime=0.392395; loadSkyCircleEndMaxResidentSetSize=315620; loadSkyCircleEndMinorPageFaults=88929; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=17; loadSkyCircleEndInvoluntaryContextSwitches=138609
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.06; loadPixelBoxEndUserTime=1.678855; loadPixelBoxEndSystemTime=0.39249799999999996; loadPixelBoxEndMaxResidentSetSize=315620; loadPixelBoxEndMinorPageFaults=88961; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=17; loadPixelBoxEndInvoluntaryContextSwitches=138609
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/22105/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/22105/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.43; _readIndexFilesStartUserTime=2.038902; _readIndexFilesStartSystemTime=0.401586; _readIndexFilesStartMaxResidentSetSize=318048; _readIndexFilesStartMinorPageFaults=91045; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.44; _readIndexFilesEndUserTime=2.043595; _readIndexFilesEndSystemTime=0.401586; _readIndexFilesEndMaxResidentSetSize=318060; _readIndexFilesEndMinorPageFaults=91053; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1953280 kB, VmSize: 1953280 kB, VmRSS: 318060 kB, VmData: 405100 kB, Mmaps: 1739, Mmaps: 1953280 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1953792 kB, VmSize: 1953536 kB, VmRSS: 318116 kB, VmData: 405356 kB, Mmaps: 1740, Mmaps: 1953536 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1953792 kB, VmSize: 1953420 kB, VmRSS: 318356 kB, VmData: 405612 kB, Mmaps: 1721, Mmaps: 1953420 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00074700000000005
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.46; loadPixelBoxStartUserTime=2.068356; loadPixelBoxStartSystemTime=0.40648; loadPixelBoxStartMaxResidentSetSize=318468; loadPixelBoxStartMinorPageFaults=91270; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=17; loadPixelBoxStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.46; loadSkyCircleStartUserTime=2.068815; loadSkyCircleStartSystemTime=0.40657; loadSkyCircleStartMaxResidentSetSize=318468; loadSkyCircleStartMinorPageFaults=91270; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=17; loadSkyCircleStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.46; _readIndexFilesStartUserTime=2.069261; _readIndexFilesStartSystemTime=0.40657; _readIndexFilesStartMaxResidentSetSize=318468; _readIndexFilesStartMinorPageFaults=91270; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.46; _readIndexFilesEndUserTime=2.06942; _readIndexFilesEndSystemTime=0.40657; _readIndexFilesEndMaxResidentSetSize=318468; _readIndexFilesEndMinorPageFaults=91270; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.47; loadSkyCircleEndUserTime=2.072682; loadSkyCircleEndSystemTime=0.40754399999999996; loadSkyCircleEndMaxResidentSetSize=318468; loadSkyCircleEndMinorPageFaults=91503; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=120; loadSkyCircleEndVoluntaryContextSwitches=17; loadSkyCircleEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.47; loadPixelBoxEndUserTime=2.079209; loadPixelBoxEndSystemTime=0.40754399999999996; loadPixelBoxEndMaxResidentSetSize=318468; loadPixelBoxEndMinorPageFaults=91503; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=120; loadPixelBoxEndVoluntaryContextSwitches=17; loadPixelBoxEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.84; _readIndexFilesStartUserTime=2.434401; _readIndexFilesStartSystemTime=0.413558; _readIndexFilesStartMaxResidentSetSize=321396; _readIndexFilesStartMinorPageFaults=92890; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.84; _readIndexFilesEndUserTime=2.438025; _readIndexFilesEndSystemTime=0.413636; _readIndexFilesEndMaxResidentSetSize=321404; _readIndexFilesEndMinorPageFaults=92896; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956500 kB, VmSize: 1956500 kB, VmRSS: 321404 kB, VmData: 408444 kB, Mmaps: 1735, Mmaps: 1956500 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956756 kB, VmSize: 1956756 kB, VmRSS: 321404 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956756 kB, VmSize: 1956508 kB, VmRSS: 321652 kB, VmData: 408700 kB, Mmaps: 1721, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00074299999999994
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.87; loadPixelBoxStartUserTime=2.462819; loadPixelBoxStartSystemTime=0.41763; loadPixelBoxStartMaxResidentSetSize=321756; loadPixelBoxStartMinorPageFaults=92984; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=17; loadPixelBoxStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.87; loadSkyCircleStartUserTime=2.463483; loadSkyCircleStartSystemTime=0.41763; loadSkyCircleStartMaxResidentSetSize=321756; loadSkyCircleStartMinorPageFaults=92984; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=136; loadSkyCircleStartVoluntaryContextSwitches=17; loadSkyCircleStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.87; _readIndexFilesStartUserTime=2.463768; _readIndexFilesStartSystemTime=0.41763; _readIndexFilesStartMaxResidentSetSize=321756; _readIndexFilesStartMinorPageFaults=92984; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.87; _readIndexFilesEndUserTime=2.4640779999999998; _readIndexFilesEndSystemTime=0.41763; _readIndexFilesEndMaxResidentSetSize=321756; _readIndexFilesEndMinorPageFaults=92984; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.87; loadSkyCircleEndUserTime=2.46584; loadSkyCircleEndSystemTime=0.418633; loadSkyCircleEndMaxResidentSetSize=321756; loadSkyCircleEndMinorPageFaults=93189; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=17; loadSkyCircleEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.88; loadPixelBoxEndUserTime=2.472281; loadPixelBoxEndSystemTime=0.418633; loadPixelBoxEndMaxResidentSetSize=321756; loadPixelBoxEndMinorPageFaults=93189; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=17; loadPixelBoxEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.24; _readIndexFilesStartUserTime=2.829536; _readIndexFilesStartSystemTime=0.423631; _readIndexFilesStartMaxResidentSetSize=321756; _readIndexFilesStartMinorPageFaults=94445; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=144; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138610
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.25; _readIndexFilesEndUserTime=2.832729; _readIndexFilesEndSystemTime=0.42366; _readIndexFilesEndMaxResidentSetSize=321756; _readIndexFilesEndMinorPageFaults=94451; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=144; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138610
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956924 kB, VmSize: 1956756 kB, VmRSS: 321660 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956924 kB, VmSize: 1956756 kB, VmRSS: 321660 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956924 kB, VmSize: 1956508 kB, VmRSS: 321652 kB, VmData: 408700 kB, Mmaps: 1721, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00073699999999999
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.27; loadPixelBoxStartUserTime=2.857275; loadPixelBoxStartSystemTime=0.428591; loadPixelBoxStartMaxResidentSetSize=321756; loadPixelBoxStartMinorPageFaults=94475; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=152; loadPixelBoxStartVoluntaryContextSwitches=17; loadPixelBoxStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.27; loadSkyCircleStartUserTime=2.857764; loadSkyCircleStartSystemTime=0.428664; loadSkyCircleStartMaxResidentSetSize=321756; loadSkyCircleStartMinorPageFaults=94475; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=152; loadSkyCircleStartVoluntaryContextSwitches=17; loadSkyCircleStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.27; _readIndexFilesStartUserTime=2.858188; _readIndexFilesStartSystemTime=0.428664; _readIndexFilesStartMaxResidentSetSize=321756; _readIndexFilesStartMinorPageFaults=94475; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.27; _readIndexFilesEndUserTime=2.858353; _readIndexFilesEndSystemTime=0.428664; _readIndexFilesEndMaxResidentSetSize=321756; _readIndexFilesEndMinorPageFaults=94475; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.28; loadSkyCircleEndUserTime=2.8612919999999997; loadSkyCircleEndSystemTime=0.428664; loadSkyCircleEndMaxResidentSetSize=321756; loadSkyCircleEndMinorPageFaults=94680; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=17; loadSkyCircleEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.28; loadPixelBoxEndUserTime=2.867658; loadPixelBoxEndSystemTime=0.428664; loadPixelBoxEndMaxResidentSetSize=321756; loadPixelBoxEndMinorPageFaults=94680; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=17; loadPixelBoxEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.65; _readIndexFilesStartUserTime=3.224345; _readIndexFilesStartSystemTime=0.434642; _readIndexFilesStartMaxResidentSetSize=321756; _readIndexFilesStartMinorPageFaults=95936; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=160; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.65; _readIndexFilesEndUserTime=3.229149; _readIndexFilesEndSystemTime=0.434642; _readIndexFilesEndMaxResidentSetSize=321756; _readIndexFilesEndMinorPageFaults=95944; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956924 kB, VmSize: 1956624 kB, VmRSS: 321408 kB, VmData: 408444 kB, Mmaps: 1740, Mmaps: 1956624 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956924 kB, VmSize: 1956880 kB, VmRSS: 321408 kB, VmData: 408700 kB, Mmaps: 1740, Mmaps: 1956880 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956924 kB, VmSize: 1956508 kB, VmRSS: 321652 kB, VmData: 408700 kB, Mmaps: 1721, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00077599999999967
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.69; loadPixelBoxStartUserTime=3.253047; loadPixelBoxStartSystemTime=0.4406; loadPixelBoxStartMaxResidentSetSize=321764; loadPixelBoxStartMinorPageFaults=96032; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=17; loadPixelBoxStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.69; loadSkyCircleStartUserTime=3.253591; loadSkyCircleStartSystemTime=0.440673; loadSkyCircleStartMaxResidentSetSize=321764; loadSkyCircleStartMinorPageFaults=96032; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=17; loadSkyCircleStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.69; _readIndexFilesStartUserTime=3.2540139999999997; _readIndexFilesStartSystemTime=0.440673; _readIndexFilesStartMaxResidentSetSize=321764; _readIndexFilesStartMinorPageFaults=96032; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.69; _readIndexFilesEndUserTime=3.254174; _readIndexFilesEndSystemTime=0.440673; _readIndexFilesEndMaxResidentSetSize=321764; _readIndexFilesEndMinorPageFaults=96032; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.69; loadSkyCircleEndUserTime=3.2586589999999998; loadSkyCircleEndSystemTime=0.440683; loadSkyCircleEndMaxResidentSetSize=321764; loadSkyCircleEndMinorPageFaults=96265; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=176; loadSkyCircleEndVoluntaryContextSwitches=17; loadSkyCircleEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.7; loadPixelBoxEndUserTime=3.265182; loadPixelBoxEndSystemTime=0.440683; loadPixelBoxEndMaxResidentSetSize=321764; loadPixelBoxEndMinorPageFaults=96265; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=176; loadPixelBoxEndVoluntaryContextSwitches=17; loadPixelBoxEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.06; _readIndexFilesStartUserTime=3.625154; _readIndexFilesStartSystemTime=0.44565; _readIndexFilesStartMaxResidentSetSize=321764; _readIndexFilesStartMinorPageFaults=97521; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=176; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.06; _readIndexFilesEndUserTime=3.627682; _readIndexFilesEndSystemTime=0.445715; _readIndexFilesEndMaxResidentSetSize=321764; _readIndexFilesEndMinorPageFaults=97527; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=176; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1957048 kB, VmSize: 1956748 kB, VmRSS: 321660 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1957048 kB, VmSize: 1956748 kB, VmRSS: 321660 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1957048 kB, VmSize: 1956508 kB, VmRSS: 321652 kB, VmData: 408700 kB, Mmaps: 1721, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072900000000065
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.13; loadPixelBoxStartUserTime=3.6800990000000002; loadPixelBoxStartSystemTime=0.450644; loadPixelBoxStartMaxResidentSetSize=321764; loadPixelBoxStartMinorPageFaults=99835; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=184; loadPixelBoxStartVoluntaryContextSwitches=17; loadPixelBoxStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.13; loadSkyCircleStartUserTime=3.680636; loadSkyCircleStartSystemTime=0.45071; loadSkyCircleStartMaxResidentSetSize=321764; loadSkyCircleStartMinorPageFaults=99835; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=184; loadSkyCircleStartVoluntaryContextSwitches=17; loadSkyCircleStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.13; _readIndexFilesStartUserTime=3.681064; _readIndexFilesStartSystemTime=0.45071; _readIndexFilesStartMaxResidentSetSize=321764; _readIndexFilesStartMinorPageFaults=99835; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.13; _readIndexFilesEndUserTime=3.681225; _readIndexFilesEndSystemTime=0.45071; _readIndexFilesEndMaxResidentSetSize=321764; _readIndexFilesEndMinorPageFaults=99835; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=192; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.13; loadSkyCircleEndUserTime=3.684089; loadSkyCircleEndSystemTime=0.45071; loadSkyCircleEndMaxResidentSetSize=321764; loadSkyCircleEndMinorPageFaults=100064; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=192; loadSkyCircleEndVoluntaryContextSwitches=17; loadSkyCircleEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.14; loadPixelBoxEndUserTime=3.690378; loadPixelBoxEndSystemTime=0.45071; loadPixelBoxEndMaxResidentSetSize=321764; loadPixelBoxEndMinorPageFaults=100064; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=192; loadPixelBoxEndVoluntaryContextSwitches=17; loadPixelBoxEndInvoluntaryContextSwitches=138611
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.5; _readIndexFilesStartUserTime=4.05172; _readIndexFilesStartSystemTime=0.457742; _readIndexFilesStartMaxResidentSetSize=321764; _readIndexFilesStartMinorPageFaults=101320; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138612
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.72; _readIndexFilesEndUserTime=4.231452; _readIndexFilesEndSystemTime=0.493702; _readIndexFilesEndMaxResidentSetSize=380464; _readIndexFilesEndMinorPageFaults=116344; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=200; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138612
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2039428 kB, VmSize: 2039172 kB, VmRSS: 381500 kB, VmData: 467364 kB, Mmaps: 2928, Mmaps: 2039172 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2039560 kB, VmSize: 2039560 kB, VmRSS: 385720 kB, VmData: 467752 kB, Mmaps: 2928, Mmaps: 2039560 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2039560 kB, VmSize: 2015560 kB, VmRSS: 380744 kB, VmData: 467752 kB, Mmaps: 1722, Mmaps: 2015560 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0092910000000002
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+36/meas_extensions_astrometryNet-master-g43362ee2f3+36/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.81; loadPixelBoxStartUserTime=4.31786; loadPixelBoxStartSystemTime=0.504734; loadPixelBoxStartMaxResidentSetSize=386000; loadPixelBoxStartMinorPageFaults=117771; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=208; loadPixelBoxStartVoluntaryContextSwitches=17; loadPixelBoxStartInvoluntaryContextSwitches=138613
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.81; loadSkyCircleStartUserTime=4.318414; loadSkyCircleStartSystemTime=0.504734; loadSkyCircleStartMaxResidentSetSize=386000; loadSkyCircleStartMinorPageFaults=117771; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=208; loadSkyCircleStartVoluntaryContextSwitches=17; loadSkyCircleStartInvoluntaryContextSwitches=138613
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.81; _readIndexFilesStartUserTime=4.318713; _readIndexFilesStartSystemTime=0.504734; _readIndexFilesStartMaxResidentSetSize=386000; _readIndexFilesStartMinorPageFaults=117771; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=208; _readIndexFilesStartVoluntaryContextSwitches=17; _readIndexFilesStartInvoluntaryContextSwitches=138613
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.81; _readIndexFilesEndUserTime=4.318991; _readIndexFilesEndSystemTime=0.504734; _readIndexFilesEndMaxResidentSetSize=386000; _readIndexFilesEndMinorPageFaults=117771; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=208; _readIndexFilesEndVoluntaryContextSwitches=17; _readIndexFilesEndInvoluntaryContextSwitches=138613
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.92; loadSkyCircleEndUserTime=4.42852; loadSkyCircleEndSystemTime=0.509714; loadSkyCircleEndMaxResidentSetSize=386000; loadSkyCircleEndMinorPageFaults=121069; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=208; loadSkyCircleEndVoluntaryContextSwitches=17; loadSkyCircleEndInvoluntaryContextSwitches=138613
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.94; loadPixelBoxEndUserTime=4.447336; loadPixelBoxEndSystemTime=0.509714; loadPixelBoxEndMaxResidentSetSize=386000; loadPixelBoxEndMinorPageFaults=121069; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=208; loadPixelBoxEndVoluntaryContextSwitches=17; loadPixelBoxEndInvoluntaryContextSwitches=138613
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.424s

OK
Mem0: Memory usage:
max rss: [0.321764, 'MB'] MB
VmPeak 1957048 kB
VmSize 1956508 kB
VmRSS 321652 kB
VmData 408700 kB
VmStk 172 kB
Number of mmaps: 1721
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.380464, 'MB'] MB
VmPeak 2038124 kB
VmSize 2038124 kB
VmRSS 380464 kB
VmData 466316 kB
VmStk 172 kB
Number of mmaps: 2927
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.386, 'MB'] MB
VmPeak 2039560 kB
VmSize 2015560 kB
VmRSS 380744 kB
VmData 467752 kB
VmStk 172 kB
Number of mmaps: 1722
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.386, 'MB'] MB
VmPeak 2039560 kB
VmSize 2015560 kB
VmRSS 380744 kB
VmData 467752 kB
VmStk 172 kB
Number of mmaps: 1722
None
FD3: 5
